Skip to main content
GET
/
api
/
detections
/
{id}
/
runs
cURL
curl -X GET "https://app.cotool.ai/api/detections/:id/runs" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
{
  "runs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "detectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "isStreaming": true,
      "hasError": true,
      "result": {
        "detectionTriggered": true,
        "confidence": 50,
        "individualEntities": [
          {
            "entityType": "<string>",
            "confidence": 123,
            "evidence": [
              "<string>"
            ],
            "summary": "<string>",
            "headline": "<string>",
            "cta": "<string>",
            "statistics": [
              "<string>"
            ],
            "entity": "<string>",
            "triggered": true,
            "hitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "verifierEvidence": [
              "<string>"
            ]
          }
        ]
      },
      "entityCount": 123,
      "triggeredEntityCount": 123,
      "recordedHitCount": 1,
      "recordedHitSamples": [
        {
          "entity": "<string>",
          "entityType": "<string>",
          "summary": "<string>",
          "headline": "<string>"
        }
      ],
      "evalScore": 123,
      "evalExplanation": "<string>",
      "evalBulletSummary": [
        "<string>"
      ]
    }
  ],
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Path Parameters

id
string<uuid>
required

Detection UUID

Query Parameters

limit
integer

Page size, defaults to 25.

Required range: 1 <= x <= 100
offset
integer

Offset into the result set, defaults to 0.

Required range: x >= 0
filter
enum<string>

Optional server-side filter on run kind. Defaults to "all".

Available options:
all,
hits,
clear,
errors

Response

Successful response

runs
object[]
required

Array of detection runs

totalCount
number
required

Total number of runs